
Ryzom - Feature # 168

Status: Assigned Priority: Low
Author: kaetemi Category:
Created: 11/03/2008 Assignee: kaetemi
Updated: 08/14/2011 Due date:
Subject: Environment room size does not work the same under different sound drivers
Description

Room size is a higher-level variable that basically adjusts the environment settings.
Write code to adjust the environment reverb settings manually from the room size parameter, instead of letting the sound api do this.

Related issues:
related to Ryzom - Feature # 1314: OpenAL environment effects on Mac OS X New 06/06/2011

History
#1 - 11/03/2008 05:05 pm - kaetemi
- Status changed from New to Assigned

#2 - 05/11/2009 03:35 pm - sfb
- Target version set to 0.8.0

#3 - 09/29/2010 09:25 pm - kervala
- Project changed from NeL to Ryzom
- Category deleted (Sound Lowlevel)
- Target version deleted (0.8.0)

#4 - 06/30/2011 10:07 am - rti

I recently experienced a too high reverb effect when using OpenAL Soft on Mac OS X (see #1314). E.g. small room like reverb effect on fighting
sounds even on open terrain.
If this is related to this issue, every linux client should experience this (as they already use OpenAL Soft by default !?)... Is this true?

#5 - 07/03/2011 11:52 am - kervala

Where could we reproduce this problem ? I never noticed reverb problems :(

#6 - 07/04/2011 01:48 pm - rti

Fight a yubo next to Yrkanis :)

#7 - 08/14/2011 11:56 pm - kaetemi

@rti  Yes it's related to this issue, I'll look into it next month.
